package com.samples.infragistics.gridcustomcolumnheader;

import android.graphics.Color;

import com.infragistics.controls.IGCellPath;
import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGGridViewCell;
import com.infragistics.controls.IGGridViewColumnHeaderCell;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;

public class CustomColumnDefinition extends IGTextColumn {
    public CustomColumnDefinition(String key) {
        super(key);
    }

    @Override
    protected IGGridViewColumnHeaderCell getHeaderCell(IGGridView gridView, IGListAdapter adapter) {
        //return super.getHeaderCell(gridView, adapter);
        CustomCell cell = (CustomCell)gridView.dequeueCellById("myCell");
        if (cell == null) {
            cell = new CustomCell(gridView.getContext(), "myCell");
        }

        cell.setText(this.getKey());

        return cell;
    }
}
