package com.samples.infragistics.gridcustomcolumnheader;

import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.RelativeLayout;

import com.infragistics.controls.IGGridView;
import com.infragistics.controls.IGListAdapter;
import com.infragistics.controls.IGTextColumn;


public class MainActivity extends ActionBarActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TestData data = new TestData();

        IGGridView grid = new IGGridView(this);
        grid.setHeaderHeight(60);
        grid.setRowHeight(45);

        IGListAdapter adapter = new IGListAdapter(this);
        adapter.setDataSource(data);
        adapter.addColumnDefinition(new CustomColumnDefinition("Label"));
        adapter.addColumnDefinition(new IGTextColumn("Value"));

        grid.setAdapter(adapter);

        RelativeLayout layout = (RelativeLayout)findViewById(R.id.relLayout1);
        layout.addView(grid);
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
